> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete webhook endpoint

> Soft-deletes a webhook endpoint. It will no longer receive events.



## OpenAPI

````yaml /openapi.json delete /v1/webhooks/{webhookId}
openapi: 3.1.0
info:
  title: Daimo API
  version: 1.0.0
  description: Create deposit sessions, manage payment methods, and check session status.
servers:
  - url: https://api.daimo.com
security: []
paths:
  /v1/webhooks/{webhookId}:
    delete:
      summary: Delete webhook endpoint
      description: Soft-deletes a webhook endpoint. It will no longer receive events.
      parameters:
        - $ref: '#/components/parameters/WebhookId'
      responses:
        '200':
          description: Webhook deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteWebhookResponse'
        '404':
          description: Webhook not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V1ErrorResponse'
      security:
        - BearerAuth: []
components:
  parameters:
    WebhookId:
      schema:
        $ref: '#/components/schemas/WebhookId'
      required: true
      name: webhookId
      in: path
  schemas:
    DeleteWebhookResponse:
      type: object
      properties:
        deleted:
          type: boolean
          enum:
            - true
        id:
          type: string
      required:
        - deleted
        - id
    V1ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              description: Error category
              example: validation_error
            code:
              type: string
              description: Machine-readable error code
              example: invalid_parameter
            message:
              type: string
              description: Human-readable description
              example: invalid session create request
            param:
              type: string
              description: Parameter that caused the error
              example: body
          required:
            - type
            - code
            - message
      required:
        - error
    WebhookId:
      type: string
      description: Webhook endpoint ID
      example: 02ab4563-07ee-4373-8472-9c7dc1027409
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key passed as a Bearer token

````